# $Revision: 1.31 $, $Date: 2009/10/09 18:42:52 $
Summary:	X.org video driver for AMD GPG r5xx/r6xx chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart z układami AMD GPG r5xx/r6xx
Name:		xorg-driver-video-radeonhd
Version:	1.3.0
Release:	1
Epoch:		1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-radeonhd-%{version}.tar.bz2
# Source0-md5:	7b6641aa9d836f1621b9b220ad6771b8
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pciutils-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.1.0
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-libdri >= 1.1.0
Requires:	xorg-xserver-libglx >= 1.1.0
Requires:	xorg-xserver-server >= 1.1.0
Obsoletes:	xorg-driver-video-avivo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for AMD GPG r5xx/r6xx chipsets. Supported adapters:
- RV505 (Radeon X1550, X1550 64bit)
- RV515 (Radeon X1300, X1550, X1600; FireGL V3300, V3350)
- RV516 (Radeon X1300, X1550, X1550 64bit, X1600; FireMV 2250)
- R520 (Radeon X1800; FireGL V5300, V7200, V7300, V7350)
- RV530 (Radeon X1300 XT, X1600, X1600 Pro, X1650; FireGL V3400, V5200)
- RV535 (Radeon X1300, X1650
- RV550 (Radeon X2300 HD)
- RV560 (Radeon X1650)
- RV570 (Radeon X1950, X1950 GT; FireGL V7400)
- R580 (Radeon X1900, X1950; AMD Stream Processor)
- R600 (Radeon HD 2900 GT/Pro/XT; FireGL V7600, V8600, V8650)
- RV610 (Radeon HD 2350, HD 2400 Pro/XT, HD 2400 Pro AGP; FireGL V4000)
- RV630 (Radeon HD 2600 LE/Pro/XT, HD 2600 Pro/XT AGP; Gemini RV630; FireGL V3600/V5600)
- M52 (Mobility Radeon X1300)
- M54 (Mobility Radeon X1400; M54-GL)
- M56 (Mobility Radeon X1600; Mobility FireGL V5200)
- M58 (Mobility Radeon X1800, X1800 XT; Mobility FireGL V7100, V7200)
- M62 (Mobility Radeon X1350)
- M64 (Mobility Radeon X1450, X2300)
- M66 (Mobility Radeon X1700, X1700 XT; FireGL V5250)
- M68 (Mobility Radeon X1900)
- M71 (Mobility Radeon HD 2300)
- M72 (Mobility Radeon HD 2400; Radeon E2400)
- M74 (Mobility Radeon HD 2400 XT)
- M76 (Mobility Radeon HD 2600; (Gemini ATI) Mobility Radeon HD 2600 XT)
- RS690 (Radeon X1200)
- RS740, RS740, RS740M

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart z układami AMD GPG r5xx/r6xx.
Obsługiwane karty:
- RV505 (Radeon X1550, X1550 64bit)
- RV515 (Radeon X1300, X1550, X1600; FireGL V3300, V3350)
- RV516 (Radeon X1300, X1550, X1550 64bit, X1600; FireMV 2250)
- R520 (Radeon X1800; FireGL V5300, V7200, V7300, V7350)
- RV530 (Radeon X1300 XT, X1600, X1600 Pro, X1650; FireGL V3400, V5200)
- RV535 (Radeon X1300, X1650
- RV550 (Radeon X2300 HD)
- RV560 (Radeon X1650)
- RV570 (Radeon X1950, X1950 GT; FireGL V7400)
- R580 (Radeon X1900, X1950; AMD Stream Processor)
- R600 (Radeon HD 2900 GT/Pro/XT; FireGL V7600, V8600, V8650)
- RV610 (Radeon HD 2350, HD 2400 Pro/XT, HD 2400 Pro AGP; FireGL V4000)
- RV630 (Radeon HD 2600 LE/Pro/XT, HD 2600 Pro/XT AGP; Gemini RV630; FireGL V3600/V5600)
- M52 (Mobility Radeon X1300)
- M54 (Mobility Radeon X1400; M54-GL)
- M56 (Mobility Radeon X1600; Mobility FireGL V5200)
- M58 (Mobility Radeon X1800, X1800 XT; Mobility FireGL V7100, V7200)
- M62 (Mobility Radeon X1350)
- M64 (Mobility Radeon X1450, X2300)
- M66 (Mobility Radeon X1700, X1700 XT; FireGL V5250)
- M68 (Mobility Radeon X1900)
- M71 (Mobility Radeon HD 2300)
- M72 (Mobility Radeon HD 2400; Radeon E2400)
- M74 (Mobility Radeon HD 2400 XT)
- M76 (Mobility Radeon HD 2600; (Gemini ATI) Mobility Radeon HD 2600 XT)
- RS690 (Radeon X1200)
- RS740, RS740, RS740M

%prep
%setup -q -n xf86-video-radeonhd-%{version}

%ifarch %{ix86} %{x8664}
ln utils/conntest/README README.conntest
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README*
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/radeonhd_drv.so
%{_mandir}/man4/radeonhd.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-radeonhd.spec,v $
Revision 1.31  2009/10/09 18:42:52  arekm
- up to 1.3.0

Revision 1.30  2009/10/02 08:28:34  arekm
- release 2

Revision 1.29  2009/04/09 13:49:58  arekm
- up to 1.2.5

Revision 1.28  2009/02/25 21:06:21  arekm
- release 2

Revision 1.27  2008/12/27 09:20:38  qboosh
- R: xorg libdri,libglx

Revision 1.26  2008/12/12 17:15:17  arekm
- up to 1.2.4

Revision 1.25  2008/10/15 21:58:52  draenog
- missing BRs for DRI support
- cosmetics

Revision 1.24  2008/10/13 21:06:41  arekm
- rel 2; bigendian fix from upstream

Revision 1.23  2008/10/13 18:40:06  arekm
- up to 1.2.3

Revision 1.22  2008/09/28 21:49:09  twittner
- add BR: xorg-lib-libpciaccess-devel (./configure wants it)

Revision 1.21  2008/08/30 16:34:03  arekm
- release 3

Revision 1.20  2008/07/01 16:10:09  arekm
- release 2

Revision 1.19  2008-04-14 21:08:12  arekm
- up to 1.2.1

Revision 1.18  2008-04-12 07:07:16  arekm
- up to 1.2.0

Revision 1.17  2008-01-05 18:40:26  qboosh
- O: for dropped avivo driver

Revision 1.16  2007-12-21 18:51:36  arekm
- up to 1.1.0

Revision 1.15  2007-12-01 17:17:53  arekm
- rel 2

Revision 1.14  2007-12-01 16:59:41  qboosh
- ugh, typo

Revision 1.13  2007-11-30 17:08:42  qboosh
- updated to 1.0.0 (I'd call it 0.1)
- added supported hardware list to descs
- conntest is x86-specific

Revision 1.12  2007-11-25 12:14:54  arekm
- up to 0.0.4

Revision 1.11  2007-11-22 11:59:37  arekm
- up to 0.0.3-0.20071122 (initial randr 1.2 support)

Revision 1.10  2007/11/07 21:23:02  arekm
BR: pciutils-devel

Revision 1.9  2007/11/05 09:20:57  arekm
- install rhd_conntest always

Revision 1.8  2007/11/05 09:03:14  arekm
- up to 20071105 (versioning changed, it's 0.0.2 now)

Revision 1.7  2007/10/06 14:34:42  arekm
- up to 20071006

Revision 1.6  2007/10/05 12:41:08  blues
- build only on x86

Revision 1.5  2007/10/05 12:20:01  arekm
- detail

Revision 1.4  2007/10/05 12:18:49  arekm
- up to 20071005

Revision 1.3  2007/10/05 12:10:53  blues
- build conntest utility - it's very devel driver and it is needed for very
  many cards

Revision 1.2  2007/09/27 22:28:42  arekm
- up to 20070928

Revision 1.1  2007/09/18 06:33:25  arekm
- radeon driver for r5xx/r6xx chips
